/*
 * You need an SD card to run this in the emulator:
 * http://www.androiddevelopment.org/2008/11/11/how-to-create-and-use-the-sd-card-with-the-android-emulator/
 * 
 */

package com.mobvcasting.pictureintent;

import java.io.File;
import java.io.FileDescriptor;
import java.io.FileNotFoundException;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;

public class PictureIntent extends Activity {
	
	Button aButton;
	String imageFilePath;
	
	ImageView ourImageView;
	
	public final int CAMERA_RESULT = 0;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        imageFilePath = Environment.getExternalStorageDirectory().getAbsolutePath() + "/tmp3.jpg";
        Log.v("IMAGE FILE",imageFilePath);

        aButton = (Button) this.findViewById(R.id.Button01);
        aButton.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {

				File imageFile = new File(imageFilePath);
				Uri imageFileUri = Uri.fromFile(imageFile);
				
				
				Intent i = new Intent(android.provider.MediaStore.ACTION_IMAGE_CAPTURE);
				i.putExtra(android.provider.MediaStore.EXTRA_OUTPUT, imageFileUri);

				startActivityForResult(i, CAMERA_RESULT);
			}});  
        
        ourImageView = (ImageView) this.findViewById(R.id.ImageView01);
    }
   
    protected void onActivityResult(int requestCode, int resultCode, Intent intent) 
    {       		
		super.onActivityResult(requestCode, resultCode, intent);

		//Bundle extras = intent.getExtras();
				
		switch(requestCode) 
		{
			case CAMERA_RESULT:
				
				if (resultCode == RESULT_OK)
				{
					Log.v("RESULTS","HERE");

					/* Tiny Image Returned
					Bitmap bmp = (Bitmap) extras.get("data");
					ourImageView.setImageBitmap(bmp);
					*/
				    
					Bitmap bmp = BitmapFactory.decodeFile(imageFilePath);
					ourImageView.setImageBitmap(bmp);
					
					Log.v("RESULTS","Image Width: " + bmp.getWidth());
					Log.v("RESULTS","Image Height: " + bmp.getHeight());					
				}
				break;    
		}
    }
}
